Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class RowMutationMessage

    java.lang.Object
      org.apache.cassandra.db.RowMutationMessage

    public class RowMutationMessage

extends java.lang.Object

Field Summary
`static java.lang.String` | `hint_`

Constructor Summary
`RowMutationMessage(RowMutation rowMutation)`

Method Summary
`RowMutation` | `getRowMutation()`
`Message` | `makeRowMutationMessage()`
`Message` | `makeRowMutationMessage(StorageService.Verb verb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hint_

    public static final java.lang.String hint_

See Also:
  Constant Field Values

Constructor Detail

### RowMutationMessage

    public RowMutationMessage(RowMutation rowMutation)

Method Detail

### makeRowMutationMessage

    public Message makeRowMutationMessage()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### makeRowMutationMessage

    public Message makeRowMutationMessage(StorageService.Verb verb)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRowMutation

    public RowMutation getRowMutation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation